# DataExchange
TKSTEPBase
StepBasic

# StepBasic_ProductDefinitionFormationRelationship Class Reference

Representation of STEP entity ProductDefinitionFormationRelationship
.

`#include <StepBasic_ProductDefinitionFormationRelationship.hxx>`

## Public Member Functions

Standard_EXPORT | StepBasic_ProductDefinitionFormationRelationship ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aId, const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aDescription, const Handle(StepBasic_ProductDefinitionFormation)&aRelatingProductDefinitionFormation, const Handle(StepBasic_ProductDefinitionFormation)&aRelatedProductDefinitionFormation)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_TCollection_HAsciiString | Id () const
| Returns field Id .
Standard_EXPORT void | SetId (const Handle(TCollection_HAsciiString)&Id)
| Set field Id .
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
| Returns field Name .
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&Name)
| Set field Name .
Standard_EXPORT Handle_TCollection_HAsciiString | Description () const
| Returns field Description .
Standard_EXPORT void | SetDescription (const Handle(TCollection_HAsciiString)&Description)
| Set field Description .
Standard_EXPORT Handle_StepBasic_ProductDefinitionFormation | RelatingProductDefinitionFormation () const
| Returns field RelatingProductDefinitionFormation .
Standard_EXPORT void | SetRelatingProductDefinitionFormation (const Handle(StepBasic_ProductDefinitionFormation)&RelatingProductDefinitionFormation)
| Set field RelatingProductDefinitionFormation .
Standard_EXPORT Handle_StepBasic_ProductDefinitionFormation | RelatedProductDefinitionFormation () const
| Returns field RelatedProductDefinitionFormation .
Standard_EXPORT void | SetRelatedProductDefinitionFormation (const Handle(StepBasic_ProductDefinitionFormation)&RelatedProductDefinitionFormation)
| Set field RelatedProductDefinitionFormation .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | theId
Handle_TCollection_HAsciiString | theName
Handle_TCollection_HAsciiString | theDescription
Handle_StepBasic_ProductDefinitionFormation | theRelatingProductDefinitionFormation
Handle_StepBasic_ProductDefinitionFormation | theRelatedProductDefinitionFormation

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_ProductDefinitionFormationRelationship::StepBasic_ProductDefinitionFormationRelationship | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_ProductDefinitionFormationRelationship::Description | ( |  | ) | const

Standard_EXPORT const StepBasic_ProductDefinitionFormationRelationship::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_ProductDefinitionFormationRelationship::Id | ( |  | ) | const

Standard_EXPORT void StepBasic_ProductDefinitionFormationRelationship::Init | ( | const Handle(TCollection_HAsciiString)& | aId,
|  | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aDescription,
|  | const Handle(StepBasic_ProductDefinitionFormation)& | aRelatingProductDefinitionFormation,
|  | const Handle(StepBasic_ProductDefinitionFormation)& | aRelatedProductDefinitionFormation
| ) |

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_ProductDefinitionFormationRelationship::Name | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_ProductDefinitionFormation StepBasic_ProductDefinitionFormationRelationship::RelatedProductDefinitionFormation | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_ProductDefinitionFormation StepBasic_ProductDefinitionFormationRelationship::RelatingProductDefinitionFormation | ( |  | ) | const

Standard_EXPORT void StepBasic_ProductDefinitionFormationRelationship::SetDescription | ( | const Handle(TCollection_HAsciiString)& | Description | ) |

Standard_EXPORT void StepBasic_ProductDefinitionFormationRelationship::SetId | ( | const Handle(TCollection_HAsciiString)& | Id | ) |

Standard_EXPORT void StepBasic_ProductDefinitionFormationRelationship::SetName | ( | const Handle(TCollection_HAsciiString)& | Name | ) |

Standard_EXPORT void StepBasic_ProductDefinitionFormationRelationship::SetRelatedProductDefinitionFormation | ( | const Handle(StepBasic_ProductDefinitionFormation)& | RelatedProductDefinitionFormation | ) |

Standard_EXPORT void StepBasic_ProductDefinitionFormationRelationship::SetRelatingProductDefinitionFormation | ( | const Handle(StepBasic_ProductDefinitionFormation)& | RelatingProductDefinitionFormation | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepBasic_ProductDefinitionFormationRelationship::theDescription `[private]`

Handle_TCollection_HAsciiString StepBasic_ProductDefinitionFormationRelationship::theId `[private]`

Handle_TCollection_HAsciiString StepBasic_ProductDefinitionFormationRelationship::theName `[private]`

Handle_StepBasic_ProductDefinitionFormation StepBasic_ProductDefinitionFormationRelationship::theRelatedProductDefinitionFormation `[private]`

Handle_StepBasic_ProductDefinitionFormation StepBasic_ProductDefinitionFormationRelationship::theRelatingProductDefinitionFormation `[private]`

The documentation for this class was generated from the following file:

- StepBasic_ProductDefinitionFormationRelationship.hxx